# Uses of Class
org.sunflow.math.OrthoNormalBasis

Packages that use OrthoNormalBasis
Package
Description
org.sunflow.core
org.sunflow.math

## Uses of OrthoNormalBasis in org.sunflow.core

Methods in org.sunflow.core that return OrthoNormalBasis
Modifier and Type
Method
Description
`final OrthoNormalBasis`
ShadingState.`getBasis()`
Gets the local orthonormal basis for the current hit point.
Methods in org.sunflow.core with parameters of type OrthoNormalBasis
Modifier and Type
Method
Description
`Vector3`
Texture.`getBump(float x, float y, OrthoNormalBasis basis, float scale)`
`Vector3`
Texture.`getNormal(float x, float y, OrthoNormalBasis basis)`
`final void`
ShadingState.`setBasis(OrthoNormalBasis basis)`
Define the orthonormal basis for the current hit point.

## Uses of OrthoNormalBasis in org.sunflow.math

Methods in org.sunflow.math that return OrthoNormalBasis
Modifier and Type
Method
Description
`static final OrthoNormalBasis`
OrthoNormalBasis.`makeFromW(Vector3 w)`
`static final OrthoNormalBasis`
OrthoNormalBasis.`makeFromWV(Vector3 w, Vector3 v)`
Methods in org.sunflow.math with parameters of type OrthoNormalBasis
Modifier and Type
Method
Description
`static final Matrix4`
Matrix4.`fromBasis(OrthoNormalBasis basis)`
Creates a rotation matrix from an OrthonormalBasis.